<template>
    <div>
        <p>{{description}}</p>
        <ul class="list-unstyled">
            <li v-if="showAllResults || (successful > 0)">
                <b-icon-check-circle-fill variant="success"></b-icon-check-circle-fill>
                &nbsp;
                <span>Successful: <b>{{successful}}</b></span>
            </li>
            <li v-if="showAllResults || (corrected > 0)">
                <b-icon-check-circle-fill variant="warning"></b-icon-check-circle-fill>
                &nbsp;
                <span>Corrected: <b>{{corrected}}</b></span>
            </li>
            <li v-if="showAllResults || (failure > 0)">
                <b-icon-x-circle-fill variant="danger"></b-icon-x-circle-fill>
                &nbsp;
                <span>Failed: <b>{{failure}}</b></span>
            </li>
        </ul>
    </div>
</template>

<script>
import {BIconCheckCircleFill, BIconXCircleFill} from 'bootstrap-vue';

export default {
    name: 'PhoneNumberResultsStatistics',
    components: {
        BIconCheckCircleFill,
        BIconXCircleFill
    },
    props: {
        description: {
            type: String,
            required: true
        },
        successful: {
            type: Number,
            default: 0
        },
        corrected: {
            type: Number,
            default: 0
        },
        failure: {
            type: Number,
            default: 0
        },
        showAllResults: {
            type: Boolean,
            default: false
        }
    }
};
</script>

<style>
</style>